Skip to content

getDispatchWorkspace

READ

Read the dispatch workspace for an inclusive service-date range: current routes, delivery visits (including unassigned requests), monitors and notifications. Use returned record identifiers for actions; never infer identifiers from names. Company and user come from the credential..

POST /api/v1/routes/getDispatchWorkspace
curl -X POST '<your-host>/api/v1/routes/getDispatchWorkspace' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "snapshotAt": "string",
  "startDate": "string",
  "endDate": "string",
  "orders": [
    {
      "id": "string",
      "readableId": "string",
      "serviceDate": "string",
      "status": "Open",
      "kind": "Scheduled",
      "origin": "Customer",
      "requestedGallons": 0,
      "deliveredGallons": 0,
      "notes": "string",
      "windowStart": "string",
      "windowEnd": "string",
      "deliveryState": "completed",
      "routePlanId": "string",
      "routeStopId": "string",
      "vehicleId": "string",
      "driverId": "string",
      "sequence": 0,
      "plannedArrival": "string",
      "monitored": true,
      "notifications": [
        {
          "id": "string",
          "title": "string",
          "message": "string",
          "severity": "critical",
          "raisedAt": "string",
          "resolvedAt": "string",
          "source": "string",
          "providerManaged": true,
          "kind": "string"
        }
      ],
      "deliveryMode": "Keep full",
      "tankId": "string",
      "customerLocationId": "string",
      "customerId": "string",
      "customerName": "string",
      "locationName": "string",
      "streetAddress": "string",
      "city": "string",
      "contactName": "string",
      "contactPhone": "string",
      "latitude": 0,
      "longitude": 0,
      "capacityGallons": 0
    }
  ],
  "monitors": [
    {
      "id": "string",
      "provider": "string",
      "model": "string",
      "reportIntervalSeconds": 0,
      "readingAt": "string",
      "receivedAt": "string",
      "percent": 0,
      "gallonsEstimate": 0,
      "temperatureFahrenheit": 0,
      "batteryVolts": 0,
      "signalStrength": 0,
      "troubleCode": "string",
      "providerStatus": "string",
      "batteryAlarm": true,
      "readingTrouble": true,
      "highDrainAlarm": true,
      "readingQuality": "string",
      "source": "string",
      "notifications": [
        {
          "id": "string",
          "title": "string",
          "message": "string",
          "severity": "critical",
          "raisedAt": "string",
          "resolvedAt": "string",
          "source": "string",
          "providerManaged": true,
          "kind": "string"
        }
      ],
      "deliveryMode": "Keep full",
      "tankId": "string",
      "customerLocationId": "string",
      "customerId": "string",
      "customerName": "string",
      "locationName": "string",
      "streetAddress": "string",
      "city": "string",
      "contactName": "string",
      "contactPhone": "string",
      "latitude": 0,
      "longitude": 0,
      "capacityGallons": 0,
      "addressSuggestion": true
    }
  ],
  "routes": [
    {
      "id": "string",
      "serviceDate": "string",
      "vehicleId": "string",
      "driverId": "string",
      "driverName": "string",
      "vehiclePlate": "string",
      "capacityGallons": 0,
      "stopCount": 0,
      "geometryAvailable": true
    }
  ],
  "positions": [
    {
      "vehicleId": "string",
      "routePlanId": "string",
      "recordedAt": "string",
      "latitude": 0,
      "longitude": 0,
      "headingDegrees": 0,
      "speedMilesPerHour": 0
    }
  ]
}

Parameters

ParameterType
date
date

Input schema

schema
{
  "type": "object",
  "properties": {
    "startDate": {
      "type": "string",
      "format": "date"
    },
    "endDate": {
      "type": "string",
      "format": "date"
    }
  },
  "required": [
    "startDate",
    "endDate"
  ],
  "additionalProperties": false
}